Bug 1831059 - CVE-2020-9274 pure-ftpd: uninitialized pointer in the diraliases linked list leads to denial of service or information disclosure [fedora-all]
Summary: CVE-2020-9274 pure-ftpd: uninitialized pointer in the diraliases linked list ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pure-ftpd
Version: 31
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Ondřej Lysoněk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-9274
TreeView+ depends on / blocked
 
Reported: 2020-05-04 14:34 UTC by msiddiqu
Modified: 2020-05-22 12:46 UTC (History)
7 users (show)

Fixed In Version: pure-ftpd-1.0.49-5.fc32 pure-ftpd-1.0.49-5.fc31 pure-ftpd-1.0.49-5.fc30
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-15 02:35:52 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description msiddiqu 2020-05-04 14:34:22 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 msiddiqu 2020-05-04 14:34:27 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1831058,1831059

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-05-06 17:04:37 UTC
FEDORA-2020-5ac8d4c11a has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5ac8d4c11a

Comment 3 Fedora Update System 2020-05-06 17:05:16 UTC
FEDORA-2020-84fb0920fd has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-84fb0920fd

Comment 4 Fedora Update System 2020-05-06 17:05:32 UTC
FEDORA-2020-fa83ea0492 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fa83ea0492

Comment 5 Fedora Update System 2020-05-07 05:21:05 UTC
FEDORA-2020-5ac8d4c11a has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-5ac8d4c11a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5ac8d4c11a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-05-07 06:17:17 UTC
FEDORA-2020-fa83ea0492 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-fa83ea0492`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fa83ea0492

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-05-07 06:29:19 UTC
FEDORA-2020-84fb0920fd has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-84fb0920fd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-84fb0920fd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-05-15 02:35:52 UTC
FEDORA-2020-5ac8d4c11a has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-05-15 03:28:47 UTC
FEDORA-2020-84fb0920fd has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-05-15 04:10:11 UTC
FEDORA-2020-fa83ea0492 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Harald Reindl 2020-05-22 12:46:42 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1839074


Note You need to log in before you can comment on or make changes to this bug.